Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.editors.text
Class TextEditor

    java.lang.Object
      org.eclipse.ui.part.WorkbenchPart
          org.eclipse.ui.part.EditorPart
              org.eclipse.ui.texteditor.AbstractTextEditor
                  org.eclipse.ui.texteditor.StatusTextEditor
                      org.eclipse.ui.texteditor.AbstractDecoratedTextEditor
                          org.eclipse.ui.editors.text.TextEditor

All Implemented Interfaces:
  IAdaptable, IEditorPart, IExecutableExtension, INavigationLocationProvider, IReusableEditor, ISaveablePart, ITextEditor, ITextEditorExtension, ITextEditorExtension2, ITextEditorExtension3, IWorkbenchPart, IWorkbenchPart2

public class TextEditor
extends AbstractDecoratedTextEditor

The standard text editor for file resources (`IFile`).

This editor has id `"org.eclipse.ui.DefaultTextEditor"`. The editor's context menu has id `#TextEditorContext`. The editor's ruler context menu has id `#TextRulerContext`.

The workbench will automatically instantiate this class when the default editor is needed for a workbench window.

Nested Class Summary

Nested classes inherited from class org.eclipse.ui.texteditor.AbstractTextEditor
`AbstractTextEditor.AbstractSelectionChangedListener, AbstractTextEditor.LineStartAction`

Nested classes inherited from class org.eclipse.ui.texteditor.ITextEditorExtension3
`ITextEditorExtension3.InsertMode`

Field Summary
`protected DefaultEncodingSupport` | `fEncodingSupport` The encoding support for the editor.

Fields inherited from class org.eclipse.ui.texteditor.AbstractDecoratedTextEditor
`fAnnotationAccess, fLineNumberRulerColumn, fOverviewRuler, fSourceViewerDecorationSupport`

Fields inherited from class org.eclipse.ui.texteditor.AbstractTextEditor
`ACTION_MAP, DEFAULT_EDITOR_CONTEXT_MENU_ID, DEFAULT_RULER_CONTEXT_MENU_ID, fErrorLabel, PREFERENCE_COLOR_BACKGROUND, PREFERENCE_COLOR_BACKGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_FIND_SCOPE, PREFERENCE_COLOR_FOREGROUND, PREFERENCE_COLOR_FOREGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_SELECTION_BACKGROUND, PREFERENCE_COLOR_SELECTION_BACKGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_SELECTION_FOREGROUND, PREFERENCE_COLOR_SELECTION_FOREGROUND_SYSTEM_DEFAULT, PREFERENCE_FONT, PREFERENCE_NAVIGATION_SMART_HOME_END, PREFERENCE_USE_CUSTOM_CARETS, PREFERENCE_WIDE_CARET, VERTICAL_RULER_WIDTH`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.ui.texteditor.ITextEditorExtension3
`INSERT, SMART_INSERT`

Constructor Summary
`TextEditor()` Creates a new text editor.

Method Summary
`protected void` | `createActions()` Creates this editor's standard actions and connects them with the global workbench actions.
`void` | `dispose()` The `AbstractTextEditor` implementation of this `IWorkbenchPart` method may be extended by subclasses.
`protected void` | `doSetInput(IEditorInput input)` Called directly from `setInput` and from within a workspace runnable from `init`, this method does the actual setting of the editor input.
`protected void` | `editorContextMenuAboutToShow(IMenuManager menu)` Sets up this editor's context menu before it is made visible.
`Object` | `getAdapter(Class adapter)` Returns an object which is an instance of the given class associated with this object.
`protected String` | `getStatusBanner(IStatus status)` Returns a banner for the given status.
`protected String` | `getStatusHeader(IStatus status)` Returns a header for the given status
`protected String` | `getStatusMessage(IStatus status)` Returns a message for the given status.
`protected void` | `initializeEditor()` Initializes this editor. Subclasses may re-implement. If sub-classes do not change the contract, this method should not be extended, i.e. do not call `super.initializeEditor()` in order to avoid the temporary creation of objects that are immediately overwritten by subclasses. This method configures the editor but does not define a `SourceViewerConfiguration`.
`protected void` | `installEncodingSupport()` Installs the encoding support on the given text editor.
`boolean` | `isSaveAsAllowed()` The `AbstractTextEditor` implementation of this `IEditorPart` method returns `false`.
`protected void` | `performSaveAs(IProgressMonitor progressMonitor)` The `TextEditor` implementation of this `AbstractTextEditor` method asks the user for the workspace path of a file resource and saves the document there.
`protected void` | `updatePropertyDependentActions()` Updates all property dependent actions.

Methods inherited from class org.eclipse.ui.texteditor.AbstractDecoratedTextEditor
`configureSourceViewerDecorationSupport, createAnnotationAccess, createChangeHover, createChangeRulerColumn, createCompositeRuler, createLineNumberRulerColumn, createOverviewRuler, createPartControl, createSourceViewer, createVerticalRuler, disposeDocumentProvider, getAnnotationAccess, getAnnotationPreferenceLookup, getAnnotationPreferences, getDocumentProvider, getOverviewRuler, getSharedColors, getSourceViewerDecorationSupport, gotoMarker, handlePreferenceStoreChanged, hideOverviewRuler, initializeKeyBindingScopes, initializeLineNumberRulerColumn, isChangeInformationShowing, isErrorStatus, isLineNumberRulerVisible, isOverviewRulerVisible, isPrefQuickDiffAlwaysOn, setDocumentProvider, showChangeInformation, showOverviewRuler`

Methods inherited from class org.eclipse.ui.texteditor.StatusTextEditor
`createStatusControl, doRevertToSaved, sanityCheckState, updatePartControl, updateStatusField`

Methods inherited from class org.eclipse.ui.texteditor.AbstractTextEditor
`addAction, addAction, addGroup, addRulerContextMenuListener, adjustHighlightRange, affectsTextPresentation, canHandleMove, close, configureInsertMode, createEmptyNavigationLocation, createNavigationActions, createNavigationLocation, doGetSelection, doSave, doSaveAs, doSetSelection, editorSaved, enableOverwriteMode, enableSanityChecking, enableStateValidation, firePropertyChange, getAction, getContextMenuListener, getCoverage, getCursorListener, getCursorPosition, getEditorContextMenuId, getFontPropertyPreferenceKey, getHelpContextId, getHighlightRange, getInsertMode, getLegalInsertModes, getPreferenceStore, getProgressMonitor, getRangeIndicator, getRulerContextMenuId, getRulerMouseListener, getSelectionChangedListener, getSelectionProvider, getSourceViewer, getSourceViewerConfiguration, getStatusField, getVerticalRuler, handleCursorPositionChanged, handleEditorInputChanged, handleElementContentReplaced, handleExceptionOnSave, handleInsertModeChanged, init, initializeDragAndDrop, initializeViewerColors, internalInit, isDirty, isEditable, isEditorInputModifiable, isEditorInputReadOnly, isInInsertMode, isSaveOnCloseNeeded, isVisible, markAsContentDependentAction, markAsPropertyDependentAction, markAsSelectionDependentAction, markAsStateDependentAction, markInNavigationHistory, modelOffset2WidgetOffset, performRevert, performSave, rememberSelection, removeActionActivationCode, removeRulerContextMenuListener, resetHighlightRange, restoreSelection, rulerContextMenuAboutToShow, safelySanityCheckState, selectAndReveal, selectAndReveal, setAction, setActionActivationCode, setCompatibilityMode, setDocumentProvider, setEditorContextMenuId, setFocus, setHelpContextId, setHighlightRange, setInput, setInsertMode, setKeyBindingScopes, setPreferenceStore, setRangeIndicator, setRulerContextMenuId, setSourceViewerConfiguration, setStatusField, showHighlightRangeOnly, showsHighlightRangeOnly, updateContentDependentActions, updateSelectionDependentActions, updateState, updateStateDependentActions, updateStatusFields, validateEditorInputState, validateState, widgetOffset2ModelOffset`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, setContentDescription, setInitializationData, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPropertyListener, getConfigurationElement, getContentDescription, getDefaultImage, getPartName, getSite, getTitle, getTitleImage, removePropertyListener, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Field Detail

### fEncodingSupport

    protected DefaultEncodingSupport fEncodingSupport

  The encoding support for the editor.

  Since:
    2.0

Constructor Detail

### TextEditor

    public TextEditor()

  Creates a new text editor.

Method Detail

### initializeEditor

    protected void initializeEditor()

  Initializes this editor. Subclasses may re-implement. If sub-classes do not change the contract, this method should not be extended, i.e. do not call `super.initializeEditor()` in order to avoid the temporary creation of objects that are immediately overwritten by subclasses. This method configures the editor but does not define a `SourceViewerConfiguration`. When only interested in providing a custom source viewer configuration, subclasses may extend this method.

  Overrides:
    `initializeEditor` in class `AbstractDecoratedTextEditor`

### dispose

    public void dispose()

  Description copied from class: `AbstractTextEditor`
  The `AbstractTextEditor` implementation of this `IWorkbenchPart` method may be extended by subclasses. Subclasses must call `super.dispose()`.

  Note that many methods may return `null` after the editor is disposed.

  Specified by:
    `dispose` in interface `IWorkbenchPart`
  Overrides:
    `dispose` in class `AbstractDecoratedTextEditor`

### installEncodingSupport

    protected void installEncodingSupport()

  Installs the encoding support on the given text editor.

  Subclasses may override to install their own encoding support or to disable the default encoding support.

  Since:
    2.1

### performSaveAs

    protected void performSaveAs(IProgressMonitor progressMonitor)

  The `TextEditor` implementation of this `AbstractTextEditor` method asks the user for the workspace path of a file resource and saves the document there.

  Overrides:
    `performSaveAs` in class `AbstractTextEditor`
  Parameters:
    `progressMonitor` - the progress monitor to be used

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  Description copied from class: `AbstractTextEditor`
  The `AbstractTextEditor` implementation of this `IEditorPart` method returns `false`. Subclasses may override.

  Specified by:
    `isSaveAsAllowed` in interface `ISaveablePart`
  Overrides:
    `isSaveAsAllowed` in class `AbstractTextEditor`
  Returns:
    `false`

### createActions

    protected void createActions()

  Description copied from class: `AbstractTextEditor`
  Creates this editor's standard actions and connects them with the global workbench actions.

  Subclasses may extend.

  Overrides:
    `createActions` in class `AbstractDecoratedTextEditor`

### getStatusHeader

    protected String getStatusHeader(IStatus status)

  Description copied from class: `StatusTextEditor`
  Returns a header for the given status

  Overrides:
    `getStatusHeader` in class `StatusTextEditor`
  Parameters:
    `status` - the status whose message is returned
  Returns:
    a header for the given status

### getStatusBanner

    protected String getStatusBanner(IStatus status)

  Description copied from class: `StatusTextEditor`
  Returns a banner for the given status.

  Overrides:
    `getStatusBanner` in class `StatusTextEditor`
  Parameters:
    `status` - the status whose message is returned
  Returns:
    a banner for the given status

### getStatusMessage

    protected String getStatusMessage(IStatus status)

  Description copied from class: `StatusTextEditor`
  Returns a message for the given status.

  Overrides:
    `getStatusMessage` in class `StatusTextEditor`
  Parameters:
    `status` - the status whose message is returned
  Returns:
    a message for the given status

### doSetInput

    protected void doSetInput(IEditorInput input)
                       throws CoreException

  Description copied from class: `AbstractTextEditor`
  Called directly from `setInput` and from within a workspace runnable from `init`, this method does the actual setting of the editor input. Closes the editor if `input` is `null`. Disconnects from any previous editor input and its document provider and connects to the new one.

  Subclasses may extend.

  Overrides:
    `doSetInput` in class `AbstractDecoratedTextEditor`
  Throws:
    `CoreException`

### getAdapter

    public Object getAdapter(Class adapter)

  Description copied from interface: `IAdaptable`
  Returns an object which is an instance of the given class associated with this object. Returns `null` if no such object can be found.

  Specified by:
    `getAdapter` in interface `IAdaptable`
  Overrides:
    `getAdapter` in class `AbstractDecoratedTextEditor`

### updatePropertyDependentActions

    protected void updatePropertyDependentActions()

  Description copied from class: `AbstractTextEditor`
  Updates all property dependent actions.

  Overrides:
    `updatePropertyDependentActions` in class `AbstractTextEditor`

### editorContextMenuAboutToShow

    protected void editorContextMenuAboutToShow(IMenuManager menu)

  Description copied from class: `AbstractTextEditor`
  Sets up this editor's context menu before it is made visible.

  Subclasses may extend to add other actions.

  Overrides:
    `editorContextMenuAboutToShow` in class `AbstractTextEditor`
  Parameters:
    `menu` - the menu

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.